# Class CIM_AuthenticateForUse
extends CIM_Dependency

CIM_AuthenticateForUse is an association used to provide an AuthenticationService with the AuthenticationRequirement it needs to do its job. This association is unnecessary and therefore deprecated, since it is implied that an Identity MUST be authenticated (its CurrentlyAuthenticatedBoolean set to TRUE) in order to have any Privileges.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AuthenticateForUse

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | CIM_AuthenticateForUse is an association used to provide an AuthenticationService with the AuthenticationRequirement it needs to do its job. This association is unnecessary and therefore deprecated, since it is implied that an Identity MUST be authenticated (its CurrentlyAuthenticatedBoolean set to TRUE) in order to have any Privileges.
UMLPackagePath | string | CIM::User::AuthenticationReqmt
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AuthenticateForUse | CIM_AuthenticationRequirement
Dependent | CIM_AuthenticateForUse | CIM_AuthenticationService

## Class Methods